Part Cone

From FreeCAD Documentation
Revision as of 12:49, 15 February 2022 by C4e (talk | contribs) (Insert Properties.)

Part Cone

Menu location
Part → Primitives → Cone
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A parametric truncated Part Cone primitive is available in the Part workbench from the Part tool bar, Part menu (primitives sub-menu) and the Create Primitives dialogue.

A Part Cone with the parameter "Angle" set to 270 degrees and all other parameters are set to their default values.

Usage

  1. Switch to the Part Workbench
  2. There are two ways to invoke the command:
    • Press the Cone button in the toolbar.
    • Select the Part → Primitives → Cone from the menu bar.

Result: The default values create a truncated parametric cone that is positioned at the origin (point 0,0,0) and attached to the global xy-plane. Its height of 10 mm is along the global z-axis. The lower DataRadius 1 is 2 mm, the upper DataRadius 2 is 4 mm.

The cone properties can later be edited, either in the Property editor or by double-clicking the cone in the Tree view.

Properties

  • DataRadius1 (Length): Radius of the arc or circle defining the lower face
  • DataRadius2 (Length): Radius of the arc or circle defining the upper face
  • DataHeight (Length): Height of the Part Cone
  • DataAngle (Angle): Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° angle creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.

Scripting

A Part Cone can be created using the following function:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

The name of the object can be easily changed by

cone.Label = "new coneName"

You can access and modify attributes of the cone object. For example, you may wish to modify the lower or upper radius, the height or the angle parameters.

cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270

The result will be a 270° portion of a full cone.

You can change its placement and orientation with:

cone.Placement = FreeCAD.Placement(FreeCAD.Vector(2, 4, 6), FreeCAD.Rotation(30, 45, 10))

The Part Cone with the values of the scripting example looks like:

Part Cone with the values of the scripting example.